%define name checkersland
%define version 3.9.2
%define release %mkrel 1


Summary:    	Checkersland - checkers game
Name:       	%{name}
Version:    	%{version}
Release:    	%{release}
Group:      	Games/Boards
License:    	Freeware
URL:        	http://www.checkersland.com/
Source0:     	http://www.checkersland.com/%{name}-%{version}.tar.xz
Source1:        %{name}.png
BuildRoot:  	%{_tmppath}/%{name}-%{version}-root
Requires:     	java 
BuildArch:      noarch
Obsoletes: 	%name < %version

%description
Checkersland allows you to play more than 20 kinds of checkers.
It also allows you to connect to others over the internet and play 
online as well as offline. 

%prep

%setup -q 


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/%{name}
cp -af %{name}.jar %{buildroot}/%{_libdir}/%{name}

#icons
mkdir -p %buildroot/{%_miconsdir,%_liconsdir,%_iconsdir}
convert  %SOURCE1 -resize 16x16 %buildroot/%{_miconsdir}/%{name}.png
convert %SOURCE1 -resize 32x32 %buildroot/%{_iconsdir}/%{name}.png
convert %SOURCE1 -resize 48x48 %buildroot/%{_liconsdir}/%{name}.png


#launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_libdir/%{name}
java -jar %{name}.jar
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Checkersland
GenericName=Checkersland
Comment=Play more than 20 kinds of checkers.
Exec=%{name}
Icon=%{_liconsdir}/%{name}.png
Terminal=0
Type=Application
Categories=Games;Boards;X-MandrivaLinux-MoreApplications-Games-Boards;
EOF


%clean
rm -rf %{buildroot}


%post
chmod 777 /usr/lib/checkersland
chmod 777 /usr/lib/checkersland/checkersland.jar
%{update_menus}


%postun
rm -rf /usr/lib/checkersland
%{clean_menus}

%files
%defattr(-,root,root,0755)
%_bindir/%{name}
%_datadir/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_libdir}/%{name}/*.jar

%changelog
* Wed Feb 13 2012 Ken <lxgator@gmail.com> 3.9.2-1pclos2013
- first build
